# 标签表
create table if not exists label
(
    id          bigint unsigned    not null primary key auto_increment comment 'Id,主键',
    label_name  varchar(16) unique not null comment '标签名称',
    label_info  varchar(128) comment '标签描述',
    is_delete   tinyint            not null default 0 comment '是否删除,0:未删除,1:已删除',
    create_time datetime comment '创建时间',
    update_time datetime comment '更新时间',
    unique key uk_label_name (label_name, is_delete)
) comment '标签表';