package com.htfp.service.usm.dao.model.entity;

import java.time.LocalDateTime;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 标签表
 * @TableName label
 */
@Data @NoArgsConstructor @AllArgsConstructor
public class LabelDO {
    /**
     * Id,主键
     */
    private Long id;

    /**
     * 标签名称
     */
    private String labelName;

    /**
     * 标签描述
     */
    private String labelInfo;

    /**
     * 是否删除,0:未删除,1:已删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

}