package com.htfp.service.usm.dao.model.mapping;

import java.time.LocalDateTime;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 无人机与标签的映射表
 * @TableName uav_label_mapping
 */
@Data @AllArgsConstructor @NoArgsConstructor
public class UavLabelMappingDO {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 无人机id
     */
    private Long uavId;

    /**
     * 标签id
     */
    private Long labelId;

    /**
     * 是否删除, 0-否, 1-是
     */
    private Integer isDelete;

    /**
     * 打标签时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}