package com.htfp.service.usm.dao.mapper;

import com.htfp.service.usm.dao.model.entity.LabelDO;
import org.junit.jupiter.api.Test;
import org.mybatis.spring.boot.test.autoconfigure.MybatisTest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.jdbc.AutoConfigureTestDatabase;
import org.springframework.context.annotation.Import;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.TestPropertySource;

import static org.junit.jupiter.api.Assertions.*;

/**
 * @author : shi_y
 * @description :
 * @createTime : 2025-06-12 14:00
 **/
@MybatisTest
@AutoConfigureTestDatabase(replace = AutoConfigureTestDatabase.Replace.NONE)
@ContextConfiguration(classes = TestConfig.class) // 加载指定的配置类
// @TestPropertySource("classpath:application-test.yml") ：@TestPropertySource 默认只支持 .properties 文件。如果使用 .yml，需要结合 @ContextConfiguration + 自定义加载器，较为复杂。
@ActiveProfiles("test")
class LabelMapperTest {

    @Autowired
    LabelMapper labelMapper;
    @Test
    void verifyDriver() throws Exception {
        Class.forName("com.mysql.cj.jdbc.Driver");
    }
    @Test
    void selectLabelById() {
        Object labelDO = labelMapper.selectLabelById(5);
    }

    @Test
    void selectLabelByName() {
    }
}