package com.htfp.service.usm.biz.model.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author : shi_y
 * @description :
 * @createTime : 2025-06-12 09:04
 **/
@Data
public class BatchDeleteLabelRequest {
    @NotNull(message = "标签列表不能为空")
    @Size(min = 1, message = "请选择要删除的标签")
    private List<Integer> labelIdList;
}
