package com.htfp.service.usm.biz.model.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author : shi_y
 * @description :
 * @createTime : 2025-06-12 10:33
 **/
@Data
public class UpdateLabelRequest {
    @NotNull(message = "标签id不能为空")
    private Integer id;
    @NotBlank
    @Size(max = 16, message = "标签名称不能超过16个字符")
    private String labelName;
    private String labelInfo;
}
