package com.htfp.service.usm.common.enums;

/**
 * @author : shi_y
 * @description : 无人机型号枚举
 * @createTime : 2025-06-11 10:58
 **/
public enum UavModelEnum {

    FP98(0, "FP98"),
    OTHERS(99, "其他"),
    ;

    public final Integer code;
    public final String desc;

    UavModelEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static UavModelEnum getFromCode(Integer code) {
        for (UavModelEnum enumItem : values()) {
            if (enumItem.code.equals(code)) {
                return enumItem;
            }
        }
        return null;
    }
}
