# 无人机设备类型定义
create table device_type (
    id int primary key auto_increment comment '主键id',
    uav_model int not null comment '无人机型号: enum',
    subsystem tinyint not null comment '所属子系统: enum',
    name varchar(20) not null comment '设备类型名称',
    key idx_uav_model (uav_model),
    key idx_subsystem (subsystem),
    unique key uk_uav_model_subsystem_name (uav_model, subsystem, name)
) comment '无人机设备类型表';